Bug 193243 - Patch for adapting net/freevrrpd to raw_socket changes
Summary: Patch for adapting net/freevrrpd to raw_socket changes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-02 04:49 UTC by olivier
Modified: 2014-10-04 10:25 UTC (History)
3 users (show)

See Also:


Attachments
net/freevrrpd patch for sock_raw (1.12 KB, patch)
2014-09-02 04:49 UTC, olivier
koobs: maintainer-approval? (spe)
Details | Diff
poudriere log and portlint (19.08 KB, text/plain)
2014-09-04 09:07 UTC, olivier
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description olivier 2014-09-02 04:49:45 UTC
Created attachment 146662 [details]
net/freevrrpd patch for sock_raw

Following the commit r270929 in -current (detail here: https://wiki.freebsd.org/SOCK_RAW), freevrrpd needs to be patched.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-04 08:17:52 UTC
Comment on attachment 146662 [details]
net/freevrrpd patch for sock_raw

Requesting maintainer approval
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-04 08:18:33 UTC
Olivier, 

To help progress these, please include (as attachments)

- poudriere (preferred) or redports build logs
- portlint -AC output
Comment 3 olivier 2014-09-04 09:07:50 UTC
Created attachment 146771 [details]
poudriere log and portlint
Comment 4 John Marino freebsd_committer 2014-09-20 18:16:07 UTC
This PR timed out so maintainer approval is no longer required.  Moving to patch-ready status.
Comment 5 commit-hook freebsd_committer 2014-10-04 10:19:35 UTC
A commit references this bug:

Author: robak
Date: Sat Oct  4 10:19:16 UTC 2014
New revision: 369950
URL: https://svnweb.freebsd.org/changeset/ports/369950

Log:
  net/freevrrpd: adapting raw_socket changes

  - Maintainer's timeout

  PR:		193243
  Submitted by:	Olivier Cochard <olivier@cochard.me>
  Approved by:	mentors (implicit)

Changes:
  head/net/freevrrpd/Makefile
  head/net/freevrrpd/files/
  head/net/freevrrpd/files/patch-vrrp_network.c
Comment 6 Bartek Rutkowski freebsd_committer 2014-10-04 10:25:50 UTC
Committed (with minor change: adding a patch file results in a different package, so PORTREVISION bump is required), thanks for your work!